using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Project._Info
{
    public partial class fInfo_Staff : FCOMMON.fBase
    {
        public fInfo_Staff()
        {
            InitializeComponent();
            this.grid1.DeveloperMode = false;
        }

        private void grid1_Click(object sender, EventArgs e)
        {
           
        }

        private void fInfo_Staff_Load(object sender, EventArgs e)
        {
            EnsureVisibleAndUsableSize();
            var Item = this.grid1.Items;
            Item.Clear();
            Item.Add(new StaffLayoutCtl.grid.CItem(r: 1, c: 1, rs: 2, cs: 2, text: "김치균", bg: Color.White.ToArgb()));
            Item.Add(new StaffLayoutCtl.grid.CItem(4, 4, 1, 1, "박성민"));
            Item.Add(new StaffLayoutCtl.grid.CItem(6, 6, 10, 3, "고진일"));
            Item.Add(new StaffLayoutCtl.grid.CItem(7, 7, 2, 2, "테스트"));
            Item[1].Select = true;
            this.grid1.Invalidate();
        }
    }
}
